---
title: "GET suppliers"
url: "https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c/paths/suppliers/get"
---

> Full API specification: https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c.md

# /suppliers

`GET` `/suppliers`

## Query parameters

- `page_size` (string, optional)
- `page_number` (string, optional)
- `modified_since` (string, optional)

## Header parameters

- `x-api-key` (string, required)

## Responses

- `200` - 200 response
- `400` - 400 response
- `403` - 403 response
- `429` - 429 response

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: PublicApi
  version: 0.1.0
servers:
  - url: https://api.retailexpress.com.au/{basePath}
    variables:
      basePath:
        default: v1
paths:
  /suppliers:
    get:
      parameters:
        - name: page_size
          in: query
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: page_number
          in: query
          schema:
            type: string
        - name: modified_since
          in: query
          schema:
            type: string
      responses:
        "200":
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierListResponse"
        "400":
          description: 400 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "403":
          description: 403 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "429":
          description: 429 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
      security:
        - api_key: []
security:
  - api_key: []
components:
  schemas:
    SupplierListResponse:
      title: Supplier List Response
      type: object
      properties:
        page_number:
          $ref: "#/components/schemas/PageNumber"
        suppliers:
          type: array
          description: A list of suppliers
          items:
            $ref: "#/components/schemas/Supplier"
        total_records:
          $ref: "#/components/schemas/TotalRecords"
        total_pages:
          $ref: "#/components/schemas/TotalPages"
        page_size:
          $ref: "#/components/schemas/PageSize"
    PageNumber:
      title: Page Number
      type: integer
      description: The current page number
    Supplier:
      type: object
      properties:
        code:
          title: Code
          type: string
          description: The reference for the supplier
        order_email_address:
          title: Order Email Address
          type: string
          description: The email address for purchase orders to be sent to
        last_modified_on:
          $ref: "#/components/schemas/LastModifiedOn"
        name:
          title: Name
          type: string
          description: The name of the supplier
        contact_details:
          $ref: "#/components/schemas/ContactDetails"
        id:
          title: ID
          type: string
          description: The id of the supplier
      description: A supplier of merchandise
    TotalRecords:
      title: Total Record Count
      type: integer
      description: The total number of records in your query
    TotalPages:
      title: Total Page Count
      type: integer
      description: The total number of pages in your query
    PageSize:
      title: Page Size
      type: integer
      description: The maximum number of records in a single page
    LastModifiedOn:
      title: Last Modified On
      type: string
      description: The date and time the record was last modified
      format: date-time
    ContactDetails:
      title: Contact Details
      type: object
      properties:
        country:
          title: Country
          type: string
          description: The address country
        postcode:
          title: Postcode
          type: string
          description: The address postcode
        last_name:
          title: Last Name
          type: string
          description: The last name of the contact
        fax_number:
          title: Fax number
          type: string
          description: The fax number of the contact
        email_address:
          title: Email Address
          type: string
          description: The email address of the contact
        company_name:
          title: Company Name
          type: string
          description: The company name of the contact
        address_line_1:
          title: Address Line 1
          type: string
          description: The first line of the address
        suburb:
          title: Suburb
          type: string
          description: The address suburb
        phone_number:
          title: Phone number
          type: string
          description: The phone number of the contact
        address_line_3:
          title: Address Line 3
          type: string
          description: The third line of the address
        address_line_2:
          title: Address Line 2
          type: string
          description: The second line of the address
        state:
          title: State
          type: string
          description: The address state
        mobile_number:
          title: Mobile number
          type: string
          description: The mobile number of the contact
        first_name:
          title: First Name
          type: string
          description: The first name of the contact
        address_line_4:
          title: Address Line 4
          type: string
          description: The fourth line of the address
      description: Contact details for an entity
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header
      x-amazon-apigateway-authtype: custom
```
